Bug 1453 - PDFs: The Programmer manual section on Java is trashed
: PDFs: The Programmer manual section on Java is trashed
Status: RESOLVED WONTFIX
: Roxen WebServer
Documentation
: 2.1
: All All
: P3 (normal) normal
: ---
Assigned To:
: http://docs.roxen.com/roxen/2.1/progr...
: 1701 1722 1723
: 882
  Show dependency treegraph
 
Reported: 2001-03-30 20:02 CET by
Modified: 2001-10-12 16:18 CET (History)
Scrum Prio:
In scrum?: ---
Story included in sprints:
Unplanned in sprints:


Attachments


Description From 2001-03-30 20:02:25 CET
The URL and the corresponding page in the PDF clearly
illustrate the problem. The Java section is a total mess
due to its non-usage of the generic manual markup. Will
probably be fixed by turning it into common PikeDoc XML,
and in turn being mashed through the PikeDoc XSL template
instead of the common manual template used today.
------- Comment #1 From 2001-05-30 14:09:56 CET -------
All PDF improvements await the new FrameMaker installation.
------- Comment #2 From 2001-06-01 14:57:12 CET -------
The PDFs won't turn out well until we've rid the manual markup from its
current HTML contents (only applies to the parts on java, that get
rendered straight from the javadoc; the rest is already done since a few
months back). I intend to fix this by using the autodoc format, and
extending the autodoc template to cover PDF generation too.

(Adding dependencies on [bug 1722] and [bug 1723].)
------- Comment #3 From 2001-10-12 16:19:08 CET -------
(Changing status of several bugs in batch:)

I'm signing off these tickets as WONTFIX instead of
signing them over to others upon my leaving Roxen.

Note

You need to log in before you can comment on or make changes to this bug.